package com.osinitsoap;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.0.4
 * 2020-02-13T16:04:13.925+03:00
 * Generated source version: 3.0.4
 * 
 */
@WebServiceClient(name = "userEndpointService", 
                  wsdlLocation = "file:/home/vkozlov/IdeaProjects/gitlab/osinitsoap/src/main/resources/wsdl/users.wsdl",
                  targetNamespace = "http://osinitsoap.com") 
public class UserEndpointService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://osinitsoap.com", "userEndpointService");
    public final static QName UsersEndpoint = new QName("http://osinitsoap.com", "usersEndpoint");
    static {
        URL url = null;
        try {
            url = new URL("file:/home/vkozlov/IdeaProjects/gitlab/osinitsoap/src/main/resources/wsdl/users.wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(UserEndpointService.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "file:/home/vkozlov/IdeaProjects/gitlab/osinitsoap/src/main/resources/wsdl/users.wsdl");
        }
        WSDL_LOCATION = url;
    }

    public UserEndpointService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public UserEndpointService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public UserEndpointService() {
        super(WSDL_LOCATION, SERVICE);
    }
    
    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public UserEndpointService(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public UserEndpointService(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public UserEndpointService(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }    

    /**
     *
     * @return
     *     returns Users
     */
    @WebEndpoint(name = "usersEndpoint")
    public Users getUsersEndpoint() {
        return super.getPort(UsersEndpoint, Users.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns Users
     */
    @WebEndpoint(name = "usersEndpoint")
    public Users getUsersEndpoint(WebServiceFeature... features) {
        return super.getPort(UsersEndpoint, Users.class, features);
    }

}
